/*
 * JPA DAO Template
 *
 *
 * Takatuka - Template fuer JPA DAO
 *
 */

package de.ivu.elect.business.ergebnis.boundary;

import de.ivu.elect.business.ergebnis.entity.ErgebnisLogEintrag;

@javax.enterprise.context.ApplicationScoped // ELECT-7845
public class ErgebnisLogEintragDAO extends AbstractErgebnisLogEintragDAO {

  private static final long serialVersionUID = 1L;

  @javax.inject.Inject
  private transient de.ivu.elect.jee.entity.SimpleDAO simpleDAO;

  @Override
  protected javax.persistence.EntityManager getEntityManager() {
    return simpleDAO.getEntityManager();
  }

  public void persist(ErgebnisLogEintrag ergebnisLogEintrag){
    getEntityManager().persist(ergebnisLogEintrag);
  }

  public void remove(ErgebnisLogEintrag ergebnisLogEintrag){
    getEntityManager().remove(ergebnisLogEintrag);
  }

@javax.inject.Inject
private transient de.ivu.elect.presentation.system.DAOCache daoCache;

                    
        /**
        * Name: ErgebnisOrderByPositionNoFlush<br>
        * Beschreibung: <br>
        * EJBQL: SELECT o FROM ErgebnisLogEintrag o WHERE o.ergebnis= ?1 ORDER BY o.position<br>
        * SQL: <br>
        */
        @Override
        public java.util.List<ErgebnisLogEintrag> findByErgebnisOrderByPosition( @javax.annotation.Nonnull de.ivu.elect.business.ergebnis.entity.Ergebnis ergebnis) {

        if (de.ivu.elect.business.system.control.CacheQueries.CACHE_QUERIES_DAO) {
        de.ivu.elect.presentation.system.FinderKey key = new de.ivu.elect.presentation.system.FinderKey("ErgebnisLogEintrag.findByErgebnisOrderByPosition" ,  ergebnis  );

        Object cached = daoCache.findInCache(key);

        if (cached==null) {
          return daoCache.cache(key, super.findByErgebnisOrderByPosition( ergebnis  ));
        }
        return (java.util.List<ErgebnisLogEintrag>) cached;
        }
            return super.findByErgebnisOrderByPosition( ergebnis  );
            }
                                        
        /**
        * Name: ErgebnisUndArtOrderByPositionNoFlush<br>
        * Beschreibung: <br>
        * EJBQL: SELECT o FROM ErgebnisLogEintrag o WHERE o.ergebnis= ?1 AND ergebnisLogEintragArt = ?2 ORDER BY o.position<br>
        * SQL: <br>
        */
        @Override
        public java.util.List<ErgebnisLogEintrag> findByErgebnisUndArtOrderByPosition( @javax.annotation.Nonnull de.ivu.elect.business.ergebnis.entity.Ergebnis ergebnis,  @javax.annotation.Nonnull de.ivu.elect.business.ergebnis.entity.ErgebnisLogEintragArt ergebnisLogEintragArt) {

        if (de.ivu.elect.business.system.control.CacheQueries.CACHE_QUERIES_DAO) {
        de.ivu.elect.presentation.system.FinderKey key = new de.ivu.elect.presentation.system.FinderKey("ErgebnisLogEintrag.findByErgebnisUndArtOrderByPosition" ,  ergebnis ,  ergebnisLogEintragArt  );

        Object cached = daoCache.findInCache(key);

        if (cached==null) {
          return daoCache.cache(key, super.findByErgebnisUndArtOrderByPosition( ergebnis ,  ergebnisLogEintragArt  ));
        }
        return (java.util.List<ErgebnisLogEintrag>) cached;
        }
            return super.findByErgebnisUndArtOrderByPosition( ergebnis ,  ergebnisLogEintragArt  );
            }
                    
@Override
public void clear() {
super.clear();
if (de.ivu.elect.business.system.control.CacheQueries.CACHE_QUERIES_DAO) {
daoCache.clear();
}

}

@Override
public void flush() {
super.flush();
if (de.ivu.elect.business.system.control.CacheQueries.CACHE_QUERIES_DAO) {
daoCache.clear();
}
}



}